Unity8 should control the display "lock after idle" (with a way to configure the delay)

Bug #1230345 reported by Sebastien Bacher on 2013-09-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GSettings Ubuntu touch schemas
Undecided
Alberto Aguirre
Unity System Compositor
High
Alberto Aguirre
gsettings-ubuntu-touch-schemas (Ubuntu)
Undecided
Unassigned
ubuntu-system-settings (Ubuntu)
High
Ken VanDine
unity8 (Ubuntu)
High
Alberto Aguirre

Bug Description

Currently powerd is doing that but apparently unity8 is going to take over that.

Some questions:
- when is the work going to happen (before or after v1)
- is that going to be an unity8 configuration (user owned?)
- is it going to be stored in gsettings?

We need to know the answer the those questions to be able to do the system-settings corresponding work...

Note that currently we write a powerd gsettings key, but that's buggy since powerd is running as root and we write an user key. There is also no way to write a system key on the ro image

Should we drop that setting for v1?

Related branches

Changed in ubuntu-system-settings:
status: New → Triaged
importance: Undecided → High
Michał Sawicz (saviq) on 2013-09-25
Changed in unity8:
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → Medium
Iain Lane (laney) on 2013-10-07
Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → High
status: New → Triaged
Iain Lane (laney) on 2014-05-01
no longer affects: ubuntu-system-settings
Pat McGowan (pat-mcgowan) wrote :

I think we need this for v1

Changed in ubuntu-system-settings (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
tags: added: rtm14
Changed in ubuntu-system-settings (Ubuntu):
assignee: Alberto Mardegan (mardy) → Ken VanDine (ken-vandine)
Alberto Aguirre (albaguirre) wrote :

We could handle it as the auto-brightness is currently handled. The shell proxies the setting to USC.

Changed in unity8:
importance: Medium → High
Changed in unity-system-compositor:
importance: Undecided → High
assignee: nobody → Alberto Aguirre (albaguirre)
status: New → In Progress
Alberto Aguirre (albaguirre) wrote :

A DBus API has been added to unity-system-compositor:

com.canonical.Unity.Screen.setInactivityTimeouts(int power_off_timeout_secs, int dimming_timeout_secs);

Negative values are ignored
0 disables the inactivity timer
A positive value sets a new timeout

Changed in unity-system-compositor:
status: In Progress → Fix Released
Changed in gsettings-ubuntu-touch-schemas:
status: New → In Progress
assignee: nobody → Alberto Aguirre (albaguirre)
Changed in unity8:
status: Triaged → In Progress
Changed in gsettings-ubuntu-touch-schemas:
status: In Progress → New
status: New → In Progress
Changed in unity8:
assignee: nobody → Alberto Aguirre (albaguirre)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gsettings-ubuntu-touch-schemas - 0.0.2+14.10.20140815-0ubuntu1

---------------
gsettings-ubuntu-touch-schemas (0.0.2+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Add inactivity timeout keys for screen dimming and power-off. (LP:
    #1230345)
 -- Ubuntu daily release <email address hidden> Fri, 15 Aug 2014 19:39:55 +0000

Changed in gsettings-ubuntu-touch-schemas (Ubuntu):
status: New → Fix Released
Changed in gsettings-ubuntu-touch-schemas:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.00+14.10.20140822-0ubuntu1

---------------
unity8 (8.00+14.10.20140822-0ubuntu1) utopic; urgency=low

  [ Albert Astals ]
  * More stable dash overview tests
  * PreviewExpandable: "widgets" is a model, not an array

  [ Alberto Aguirre ]
  * Proxy inactivity timeout values from gsettings into Unity.Screen
    (LP: #1230345)

  [ Gerry Boland ]
  * Cancel open PAM interactions on shutdown - fixes hang on logout on
    desktop (LP: #1353041)

  [ Diego Sarmentero ]
  * Show progress bar on payment button click The payment process has a
    small delay before the UI comes up which might cause confusion. Show
    a progress bar with unknown value to indicate activity. (LP:
    #1354139)

  [ Mirco Müller ]
  * Made notification qml-test pass again by using Component.onCompleted
    instead of onOpacityChanged for the time being.

  [ Michael Zanetti ]
  * Implement new lockscreen designs

  [ Michael Terry ]
  * Show the SIM unlock dialog immediately after booting, and enable its
    emergency call button.
  * Always keep indicator/launcher locked state in sync with whether the
    user is authenticated. (LP:# 1357230) (LP: #1357230)
  * Allow logging into a desktop or tablet session again, by properly
    dismissing old PAM conversations. (LP: #1350878) In a desktop or
    tablet, we were accidentally starting two PAM conversations in
    sequence on startup. Which is a small bug; it shouldn't normally be
    a problem, since each new PAM conversation should kill the old
    one.But the way we were killing the old one was subject to a thread
    race condition. See, a PAM conversation thread won't exit until all
    its prompts are answered. And what we do when we kill a PAM
    conversation is to answer all prompts with empty strings.But it's
    possible that when we want to kill a PAM conversation that it hasn't
    actually gotten to the point of prompting us yet. And when those
    prompts do come through, we were treating them as prompts for the
    new PAM conversation.So I've changed the PAM conversation logic to
    include a pam_handle and compare the handle with the current handle
    when being prompted. If it's an old handle, we just dismiss the
    prompt with an empty string response.Oh, and I fixed the bug that
    caused two prompts on startup in the first place. (But we still need
    the above logic anyway, for when you switch users quickly.) (LP:
    #1350878)

  [ Martin Pitt ]
  * Mark for using language packs.
 -- Ubuntu daily release <email address hidden> Fri, 22 Aug 2014 09:29:41 +0000

Changed in unity8 (Ubuntu):
status: New → Fix Released
Michał Sawicz (saviq) wrote :

This is ready to expose in settings now.

Changed in unity8:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+14.10.20140822.1-0ubuntu1

---------------
ubuntu-system-settings (0.3+14.10.20140822.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * In the welcome wizard, refresh the text in the 'no sim card' and
    'all done' pages to match the latest from design.

  [ Michael Terry ]
  * Add a location page and a terms and conditions page for the HERE
    service.

  [ Ken VanDine ]
  * Settings for idle/lock timeout (LP: #1230345)
  * Added flickable to fix scrolling (LP: #1354161)

  [ Jussi Pakkanen ]
  * Fix a bunch of compiler warnings.

  [ jonas-drange ]
  * [cellular] displays cellular UIs based on how many SIMs are present.
    (LP: #1357393)
 -- Ubuntu daily release <email address hidden> Fri, 22 Aug 2014 18:57:00 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: Triaged → Fix Released
Michał Sawicz (saviq) on 2017-03-13
Changed in unity8 (Ubuntu):
assignee: nobody → Alberto Aguirre (albaguirre)
importance: Undecided → High
no longer affects: unity8
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers